> ## Documentation Index
> Fetch the complete documentation index at: https://tradewatch.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Markets

> Get details about the markets available in this API.



## OpenAPI

````yaml /openapi.json get /stocks/markets
openapi: 3.1.0
info:
  title: tradewatch.io
  version: 3.1.0
  description: Financial market data for Developers
servers:
  - url: https://api.tradewatch.io
    description: Production API server
security:
  - API Key: []
tags:
  - name: Account
    description: >-
      In this section, you can find methods that can be helpful to manage your
      API account.
    x-displayName: Account
  - name: Currencies
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for traditional currencies (Forex).
    x-displayName: Currencies
  - name: Crypto
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for cryptocurrencies.
    x-displayName: Crypto
  - name: Indices
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for market indices.
    x-displayName: Indices
  - name: Stocks
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for stocks and equities.
    x-displayName: Stocks
  - name: Fundamentals
    description: Financial statements and company data sourced from SEC EDGAR filings.
  - name: Markets
    description: Stock exchange and market session information.
  - name: Commodities
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for commodities.
    x-displayName: Commodities
paths:
  /stocks/markets:
    get:
      tags:
        - Markets
      summary: Markets
      description: Get details about the markets available in this API.
      operationId: stocks_get_markets
      parameters:
        - name: mic
          in: query
          required: false
          schema:
            type: string
            title: MIC code
            description: >-
              Optional list of comma separated MIC codes for which market to
              show data for. All market will be included if MIC code is not
              specified.
          description: >-
            Optional list of comma separated MIC codes for which market to show
            data for. All market will be included if MIC code is not specified.
          example: XNYS
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MarketResponse'
                title: Response Stocks Get Markets
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MarketResponse:
      properties:
        mic:
          type: string
          title: Mic
          description: Market Identifier Code (ISO 10383)
          examples:
            - XNYS
        exchange:
          type: string
          title: Exchange
          description: Full name of the exchange
          examples:
            - New York Stock Exchange
        acronym:
          anyOf:
            - type: string
            - type: 'null'
          title: Acronym
          description: Exchange acronym
          examples:
            - NYSE
        lei:
          type: string
          title: Lei
          description: Legal Entity Identifier
          examples:
            - 5493000F4ZO33MV32P92
        url:
          type: string
          title: Url
          description: Exchange website URL
          examples:
            - https://www.nyse.com/index
        city:
          type: string
          title: City
          description: City where the exchange is located
          examples:
            - New York
        country:
          type: string
          title: Country
          description: Country where the exchange is located
          examples:
            - United States
        country_code:
          type: string
          title: Country Code
          description: ISO 3166-1 alpha-2 country code
          examples:
            - US
        flag:
          type: string
          title: Flag
          description: Country flag emoji
          examples:
            - 🇺🇸
        currency_name:
          type: string
          title: Currency Name
          description: Name of the primary currency used
          examples:
            - US dollar
        currency_code:
          type: string
          title: Currency Code
          description: ISO 4217 currency code
          examples:
            - USD
        currency_symbol:
          type: string
          title: Currency Symbol
          description: Symbol of the currency
          examples:
            - $
        region:
          type: string
          title: Region
          description: Geographical region
          examples:
            - North America
        timezone:
          type: string
          title: Timezone
          description: Timezone identifier (IANA database)
          examples:
            - America/New_York
        timezone_abbr:
          type: string
          title: Timezone Abbr
          description: Timezone abbreviation
          examples:
            - EDT
        utc_offset:
          type: string
          title: Utc Offset
          description: UTC offset in hours
          examples:
            - '-0400'
        dst:
          type: boolean
          title: Dst
          description: Whether Daylight Saving Time is currently observed
          examples:
            - true
        previous_dst_transition:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Previous Dst Transition
          description: Date of the previous DST transition
          examples:
            - '2024-03-10'
        next_dst_transition:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Next Dst Transition
          description: Date of the next DST transition
          examples:
            - '2024-11-03'
        working_days:
          items:
            $ref: '#/components/schemas/Weekday'
          type: array
          title: Working Days
          description: List of working days
          examples:
            - - Monday
              - Tuesday
              - Wednesday
              - Thursday
              - Friday
        open_time:
          type: string
          title: Open Time
          description: Regular trading session opening time
          examples:
            - '09:30'
        close_time:
          type: string
          title: Close Time
          description: Regular trading session closing time
          examples:
            - '16:00'
        early_close_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Early Close Time
          description: Trading session closing time on early close days
          examples:
            - '13:00'
      type: object
      required:
        - mic
        - exchange
        - acronym
        - lei
        - url
        - city
        - country
        - country_code
        - flag
        - currency_name
        - currency_code
        - currency_symbol
        - region
        - timezone
        - timezone_abbr
        - utc_offset
        - dst
        - previous_dst_transition
        - next_dst_transition
        - working_days
        - open_time
        - close_time
        - early_close_time
      title: MarketResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Weekday:
      type: string
      enum:
        - Monday
        - Tuesday
        - Wednesday
        - Thursday
        - Friday
        - Saturday
        - Sunday
      title: Weekday
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      description: Authentication via API key header
      type: apiKey
      name: api-key
      in: header

````